TOKEN_TRANSFER
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Base Mainnet | ✅ |
Base Testnet (sepolia) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Conditions
When eventType is set to TOKEN_TRANSFER, the available condition object fields are listed below.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
tokens | Array of object | true | Token information objects for which you want to monitor transfer events. | |
tokens[i].contractAddress | String | true | Contract address of the ERC20, ERC721, or ERC1155 token to monitor. | ["0xdac17f958d2ee523a2206206994597c13d831ec7", |
tokens[i].tokenId | String | false | Token ID to use when monitoring transfer events for a specific token within an ERC721 or ERC1155 contract. | "100" |
Response Example
📍 Type: ERC20
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5088
subscription Event : subscriptionId: 5088,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"0xdac17f958d2ee523a2206206994597c13d831ec7"
],
"messages": [
{
"token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from_address": "0x875a01980d993e7dca8f149205c9d8d0f7799af4",
"to_address": "0x77edae6a5f332605720688c7fda7476476e8f83f",
"value": "300000000",
"transaction_hash": "0x7788a25f8dbb20837e55bbddabd7c40fa9b03a657c06e2dfba83f3b64536dfa4",
"log_index": 23,
"block_number": 21570538,
"block_timestamp": 1736228123,
"type": "erc20"
}
]
}
📍 Type: ERC721
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5089
subscription Event : subscriptionId: 5089,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"0xbd3531da5cf5857e7cfaa92426877b022e612cf8"
],
"messages": [
{
"block_number": 21570577,
"block_timestamp": 1736228591,
"from_address": "0x7ff9ff105574a25b88c2a57ca0303f5aea55e98d",
"log_index": 221,
"to_address": "0xd6c701b895d2b93f34f1e365c30314590c02b2b3",
"token_address": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
"token_id": "2633",
"transaction_hash": "0x8877c7311cba7965169bb5a1003897028cfe3ebfc4777575a5221989bd13d445",
"type": "erc721"
}
]
}
📍 Type: ERC1155
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5090
subscription Event : subscriptionId: 5090,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401"
],
"messages": [
{
"token_address": "0xd4416b13d2b3a9abae7acd5d6c2bbdbe25686401",
"from_address": "0x0000000000000000000000000000000000000000",
"to_address": "0x7628008ec0cffc49663e99b3b81026a31a4e56fc",
"value": "1",
"token_id": "96043770593759298319042380490414687847756372775697807151726318973060518522837",
"operator": "0x253553366da8546fc250f225fe3d25d0c782303b",
"transaction_hash": "0x9bc868ca5bf0b85cdd2e868544000e4e61f0f33d41225324c6f2fdb1432e22da",
"log_index": 322,
"batch_index": 0,
"block_number": 21570567,
"block_timestamp": 1736228471,
"type": "erc1155"
}
]
}
📍 Type: TRC20
A message type that tracks TRC-20 token transfers on the Tron chain. Addresses are provided in Base58 format (starting with T).
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5099
subscription Event : subscriptionId: 5099,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"value": "48100000",
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc20"
}
]
}
📍 Type: TRC721
A message type that tracks TRC-721 NFT transfers on the Tron chain. It has the same structure as TRC-20, except that token_id is provided instead of value.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5100
subscription Event : subscriptionId: 5100,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"token_id": "1234",
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc721"
}
]
}
📍 Type: TRC1155
A message type that tracks TRC-1155 token transfers on the Tron chain. It adds the token_id, operator, and batch_index fields to the TRC-20 structure.
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5101
subscription Event : subscriptionId: 5101,
eventType: TOKEN_TRANSFER,
event: {
"targetAddresses": [
"T..."
],
"messages": [
{
"token_address": "T...",
"from_address": "T...",
"to_address": "T...",
"operator": "T...",
"value": "1",
"token_id": "1234",
"batch_index": 0,
"log_index": 0,
"tx_id": "...",
"tx_index": 283,
"block_number": 85768711,
"block_timestamp": 1787977626,
"type": "trc1155"
}
]
}